Version 1.30.0
Third Party API (v 1.30.0)
What's Changed
GET /api/business/{businessId}/branch/{branchId}/staff/{staffId}
GET /api/business/{businessId}/branch/{branchId}/staff/{staffId}Return Type:
Changed response : 200 OK
Specified staff retrieved
-
Changed content type :
application/json-
Added property
taxNumber(string)The tax registration number for self-employed staff members (VAT, GST, Tax Number, etc. depending on territory)
-
Added property
payrollNumber(string)
-
GET /api/business/{businessId}/branch/{branchId}/staff
GET /api/business/{businessId}/branch/{branchId}/staffReturn Type:
Changed response : 200 OK
Staffs listed
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
staffs(array)Changed items (object):
-
Added property
taxNumber(string)The tax registration number for self-employed staff members (VAT, GST, Tax Number, etc. depending on territory)
-
Added property
payrollNumber(string)
-
-
-
GET /api/business/{businessId}/branch/{branchId}/staff-batch
GET /api/business/{businessId}/branch/{branchId}/staff-batchReturn Type:
Changed response : 200 OK
Batch of staffs retrieved
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
staffs(array)Changed items (object):
-
Added property
taxNumber(string)The tax registration number for self-employed staff members (VAT, GST, Tax Number, etc. depending on territory)
-
Added property
payrollNumber(string)
-
-
-
Result
API changes are backward compatible